<?php
/*
Plugin Name: Disable Reset Password
Plugin URI:
Description: Disabling password reset function over email of Wordpress and Fix bug Unauthorized Reset Password (0day).
Use caution and if necessary, after the core fix bug fixes you should delete it.
Version: 1.0
Author: Renoug Joni
Author URI: http://www.skycodec.com/
License: GNU GPL
*/

define( 'DRP_PATH', dirname( __FILE__ ) );
define( 'DRP_FOLDER', basename( DRP_PATH ) );
define( 'DRP_URL', plugins_url() . '/' . DRP_FOLDER );
define( 'ADMIN_URL', plugins_url() . '/' . DRP_FOLDER . '/admin');
global $jal_db_version;
$jal_db_version = "1.0";

class Disable_Reset_Password{

	public function __construct(){
		add_filter('allow_password_reset', array($this, 'disable_pw_reset'));
		add_filter('login_errors' , array($this, 'check_error_login'));
		register_activation_hook( __FILE__, array($this, 'drp_install'));
		register_deactivation_hook( __FILE__, array( this, 'drp_uninstall'));
	}

	public function disable_pw_reset() {
			return false;
	}

	public function check_error_login($error) {
			return 'Temporarily disable password reset and contact Admin if you need help!';
	}

	public function drp_install() {

	}

	public function drp_uninstall() {

	}

}
new Disable_Reset_Password;
?>